<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.lideeyunji</groupId>
    <artifactId>lidee-tool</artifactId>
    <version>2.2.4</version>
  </parent>
  <groupId>com.lideeyunji</groupId>
  <artifactId>tool-spring-boot-starter-mybatis</artifactId>
  <version>2.2.4</version>
  <name>${project.artifactId}</name>
  <description>数据库连接池、多数据源、事务、MyBatis 拓展</description>
  <dependencies>
    <dependency>
      <groupId>com.lideeyunji</groupId>
      <artifactId>tool-common</artifactId>
    </dependency>
    <dependency>
      <groupId>com.lideeyunji</groupId>
      <artifactId>tool-spring-boot-starter-web</artifactId>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>com.mysql</groupId>
      <artifactId>mysql-connector-j</artifactId>
    </dependency>
    <dependency>
      <groupId>com.oracle.database.jdbc</groupId>
      <artifactId>ojdbc8</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>org.postgresql</groupId>
      <artifactId>postgresql</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>com.microsoft.sqlserver</groupId>
      <artifactId>mssql-jdbc</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>com.dameng</groupId>
      <artifactId>DmJdbcDriver18</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>cn.com.kingbase</groupId>
      <artifactId>kingbase8</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>com.alibaba</groupId>
      <artifactId>druid-spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.baomidou</groupId>
      <artifactId>mybatis-plus-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.baomidou</groupId>
      <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.github.yulichang</groupId>
      <artifactId>mybatis-plus-join-boot-starter</artifactId>
    </dependency>
  </dependencies>
</project>
